type TeamHub @table(name: "team_hubs") {
  id: UUID! @default(expr: "uuidV4()")

  teamId: UUID!
  team: Team! @ref(fields: "teamId", references: "id")
  
  hubName: String!

  address: String!
  placeId: String
  latitude: Float
  longitude: Float

  city: String
  state: String
  street: String
  country: String
  zipCode: String
  
  managerName: String
  isActive: Boolean! @default(expr: "true")
  departments: Any
  
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
